local M = {}

local hornThreshold = 60
local chance = math.random(11)
local state = "idle"

local function updateGFX(dt)

   if sensors.gy2 > hornThreshold and chance == 1 then 
    electrics.horn(true)
    state = "honking"   
   elseif state == "honking" and electrics.values.horn == 0 then 
    electrics.horn(true)
   end
   
end
   
local function onReset()
	state = "idle"
	electrics.horn(false)
    chance = math.random(11)
	hornThreshold = 60
end

-- public interface
M.onReset  = onReset
M.updateGFX = updateGFX

return M